#include <Wire.h>
#include <LiquidCrystal_I2C.h>

#include <SoftwareSerial.h>
#define interruptor 5
#define LED 8

SoftwareSerial miBT(10, 11);
LiquidCrystal_I2C lcd_I2C_27(0x27,16,2); // set the LCD address for a 16 chars and 2 line display

int buzzer = 9;
char DATO = 0;
int interruptor_estado = 0;
int estado = 1;
int estadoAnterior = 0;

void setup()
{
  pinMode(LED, OUTPUT);
  pinMode(interruptor, INPUT);
  pinMode(buzzer, OUTPUT);
  miBT.begin(38400);
  Serial.begin(9600);

  lcd_I2C_27.init (); // initialize the lcd
  lcd_I2C_27.backlight();
}

void loop()
{
  interruptor_estado = digitalRead(interruptor); //READ THE PUSHBUTTON
  if ((interruptor_estado == 1) && (estadoAnterior == 0))
  {
    estado = 1 - estado;
    delay(10);
  }
  estadoAnterior = interruptor_estado;

  if (estado == 1) //IF PUSHBUTTON ON
  {
    if (miBT.available()) { // IF BT AVAILABLE
      Serial.println(DATO);
      DATO = miBT.read();
      if (DATO = 1) {
        noTone(buzzer);
        digitalWrite(LED, HIGH);
        delay(50);
      }
    }
    else { 
      tone(buzzer, 900);
      digitalWrite(LED, HIGH);
      delay(100);
      noTone(buzzer);
      digitalWrite(LED, LOW);
      delay(100); 

      lcd_I2C_27.setCursor(4 , 0) ; // set the cursor, counting begins with 0 
      lcd_I2C_27.print( "don't" ); // Print a message to the LCD.
      lcd_I2C_27.setCursor(2 , 1) ; // set the cursor, counting begins with 0 
      lcd_I2C_27.print( "lose" ); // Print a message to the LCD.
      delay( 500 ); // waits a few milliseconds 
      lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
      lcd_I2C_27.print( "your" ); // Print a message to the LCD.
      lcd_I2C_27.setCursor(5 , 1) ; // set the cursor, counting begins with 0 
      lcd_I2C_27.print( "phone" ); // Print a message to the LCD.
      delay( 500 ); // waits a few milliseconds
    }
  }

  else{ //IF PUSHBUTTON OFF
    digitalWrite(LED, LOW);
    noTone(buzzer);

    lcd_I2C_27.clear();
  }
}
